# Interface JmolFilesReaderInterface

All Superinterfaces:
  `Runnable`

All Known Implementing Classes:
  `FilesReader`

public interface JmolFilesReaderInterface extends Runnable

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAtomSetCollection()`
`Object`
`getBufferedReaderOrBinaryDocument(int i, boolean isBinary)`
`void`
`set(FileManager fileManager, Viewer vwr, String[] fullPathNames, String[] namesAsGiven, String[] fileTypes, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)`

### Methods inherited from interface Runnable

`run`

## Method Details

### getBufferedReaderOrBinaryDocument

Object getBufferedReaderOrBinaryDocument(int i, boolean isBinary)

### getAtomSetCollection

Object getAtomSetCollection()

### set

void set(FileManager fileManager, Viewer vwr, String[] fullPathNames, String[] namesAsGiven, String[] fileTypes, DataReader[] readers, Map<String,Object> htParams, boolean isAppend)